{% load static %}

<!DOCTYPE html>

<html>
  <head>
    <title>Polls &ndash; index</title>
    <link rel="stylesheet" href="{% static 'polls/css/main.css' %}">
  </head>

  <body>
    <main>
      <div class="heading-with-note">
        <h1>
          Available polls
        </h1>

        <span class="h1-note">
          <a href="{% url 'admin:polls_question_changelist' %}">[edit]</a>
        </span>
      </div>

      {% if IS_MYBINDER_HOST %}
        <span class="mybinder-warning">
          Warning: this site appears to be hosted by an ephemeral MyBinder instance.<br />
          The session will automatically terminate after 10 minutes of inactivity.<br />
          You may restart the session at any time with the original link.
        </span>
      {% endif %}

      {% if question_list %}
        <ul>
          {% for question in question_list %}
            <li>
              {% if question.was_published_recently %}
                <span class="new-poll">New: </span>
              {% endif %}
              <a href="{% url 'polls:detail' question.id  %}">{{ question.question_text }}</a>
              ({{ question.total_votes | floatformat:"0g" }} vote{{ question.total_votes | pluralize }})
            </li>
          {% endfor %}
        </ul>
      {% else %}
        <p>No polls are available.</p>
      {% endif %}

      <div id="pagination">
        <span id="pagination-previous" class="{{ page_obj.has_previous|yesno:',hidden' }}">
          {% with first_text="&laquo; first" previous_text="previous" %}
            {% if page_obj.has_previous %}
              <a href="?page=1">{{ first_text }}</a>
              <a href="?page={{ page_obj.previous_page_number }}">{{ previous_text }}</a>
            {% else %}
              <a href="#">{{ first_text }}</a>
              <a href="#">{{ previous_text }}</a>
            {% endif %}
          {% endwith %}
        </span>

        <span id="pagination-current">
          Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}
        </span>

        <span id="pagination-next" class="{{ page_obj.has_next|yesno:',hidden' }}">
          {% with next_text="next" last_text="last &raquo;" %}
            {% if page_obj.has_next %}
              <a href="?page={{ page_obj.next_page_number }}">{{ next_text }}</a>
              <a href="?page={{ page_obj.paginator.num_pages }}">{{ last_text }}</a>
            {% else %}
              <a href="#">{{ next_text }}</a>
              <a href="#">{{ last_text }}</a>
            {% endif %}
          {% endwith %}
        </span>
      </div>
    </main>
  </body>
</html>
